<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:layout_height="72dp"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/common_white_radius_16_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_order_category"
            style="@style/CommonNetworkImage"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginStart="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundAsCircle="true" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_category"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:ellipsize="middle"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/tv_order_category_desc"
            app:layout_constraintEnd_toStartOf="@id/iv_go"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toEndOf="@id/iv_order_category"
            app:layout_constraintTop_toTopOf="@id/iv_order_category"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="Wait for Accept" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_go"
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:layout_marginStart="2dp"
            android:layout_marginEnd="8dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_order_category"
            app:layout_constraintEnd_toStartOf="@id/right_barrier"
            app:layout_constraintStart_toEndOf="@id/tv_order_category"
            app:layout_constraintTop_toTopOf="@id/tv_order_category"
            app:srcCompat="@drawable/common_go_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_category_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_order_category"
            app:layout_constraintEnd_toStartOf="@id/right_barrier"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_order_category"
            app:layout_constraintTop_toBottomOf="@id/tv_order_category"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="Mobile Legends x 1hour Mobile Legends x 1hour Mobile Legends x 1hour" />

        <androidx.constraintlayout.widget.Barrier
            android:id="@+id/right_barrier"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:barrierDirection="start"
            app:constraint_referenced_ids="cl_count_down, btn_go_voice" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_go_voice"
            android:layout_width="wrap_content"
            android:layout_height="24dp"
            android:layout_marginEnd="16dp"
            android:minWidth="85dp"
            android:paddingHorizontal="8dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/im_order_go_voice"
            app:textColor="@color/white"
            app:textSize="12sp"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_count_down"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_relay_countdown_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:gravity="center"
                android:includeFontPadding="false"
                android:minWidth="64dp"
                android:singleLine="true"
                android:text="@string/im_playmate_reply"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constraintBottom_toTopOf="@id/tv_relay_countdown"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_chainStyle="packed" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_relay_countdown"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="center"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:textColor="@color/color_FF1D2129"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_relay_countdown_title"
                tools:text="00:00" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</merge>